#include <stdio.h>
#include <x25io.h>
#include <log.h>

#define MAXSTRLEN 255

int
main ()
{
  int tpad_fd;
  char tpad_name[MAXSTRLEN+1];
  int i;

  Start_Local_File_Log ("./", "test");
  for (i = 0; i < 300; i++) {
    if (Rotor_Open_X25_Device (&tpad_fd, tpad_name)) {
      printf ("opened %s on descriptor %d\n", tpad_name, tpad_fd);
      close (tpad_fd);
    } else
      printf ("open failed\n");
  }
  Close_Log ();
}
