#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>    /* for close */
#include <errno.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

void main (void)
    {
    char pty_name[12];
    char *ptr1, *ptr2;
    int pty_fd;
    int device_number = 0;
    int number_available = 0;
    int sys_status;

    strcpy (pty_name, "/dev/ptyXY");
    
    for (ptr1 = "pqrstuvwxyzPQRST"; *ptr1 != 0; ptr1++)
	{
	pty_name[8] = *ptr1;
	for (ptr2 = "0123456789abcdef"; *ptr2 != 0; ptr2++)
	    {
	    pty_name[9] = *ptr2;
	    device_number++;
	    printf ("%3d: %s: ", device_number, pty_name);

	    pty_fd = open (pty_name, O_RDWR);

	    if (pty_fd < 0)
		{
		printf ("error: %s\n", strerror (errno));
		}
	    else
		{
		printf ("available\n");
		number_available++;
		sys_status = close (pty_fd);
		if (sys_status < 0)
		    {
		    fprintf (stderr, "close error: %s\n", strerror (errno));
		    exit (EXIT_FAILURE);
		    }
		}
	    }
	}

    printf ("Total number available: %d\n", number_available);
    }
