#!/usr/local/bin/expect

source "rcat.conf.tcl"

#
# Clean up old files.
#
foreach x [glob -nocomplain $outfilebase.*] {
    exec rm $x
}
foreach x [glob -nocomplain $datafilebase.*] {
    exec rm $x
}

#
# Start sessions
#
puts "Starting $numsessions sessions"
for {set i 1} {$i <= $numsessions} {incr i} {
    puts "Starting session $i"
    if {$devnulloutput} {
	exec ./rcat.tcl $datafilebase.$i > /dev/null &
    } else {
	exec ./rcat.tcl $datafilebase.$i > $outfilebase.$i &
    }
    exec sleep $startdelay
}
